Перейти к основному содержанию
POST
/
runway
/
pro
/
act_one
Act-one Expression Migration
curl --request POST \
  --url https://api.cometapi.com/runway/pro/act_one \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "video": "http://runwaycdn.rixapi.com/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4",
  "image": "https://db.xiaohuhd.com/1.jpeg",
  "callback_url": "http://baidu.com"
}
'
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "task_id": "<string>"
  },
  "exec_time": 123
}
Используйте этот endpoint, чтобы перенести выражение или исполнение из исходного видео на отдельное изображение через reverse-format wrapper Runway.

Текущие ограничения

  • Этот маршрут в настоящее время поддерживает только исходные ассеты в формате 16:9
  • Вам нужны и исходное video, и целевое image
  • Начните с короткого и стабильного исходного клипа, прежде чем дальше настраивать workflow

Поток задачи

1

Создайте задачу act-one

Отправьте исходное видео, целевое изображение и настройки callback или отслеживания, затем сохраните возвращённый id задачи.
2

Опрашивайте задачу

Продолжайте с Feed Get Task, пока wrapper не достигнет терминального состояния.
3

Сохраните результат

Сохраните финальный результат в собственном media pipeline, если вам нужен долговременный доступ.

Авторизации

Authorization
string
header
обязательно

Bearer token authentication. Use your CometAPI key.

Заголовки

X-Runway-Version
string

Optional Runway version header, for example 2024-11-06.

Тело

application/json
video
string
по умолчанию:http://runwaycdn.rixapi.com/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4
обязательно

URL of the source video containing the performance to transfer.

image
string
по умолчанию:https://db.xiaohuhd.com/1.jpeg
обязательно

URL of the target image whose character will receive the expression.

callback_url
string
по умолчанию:https://example.com/webhook
обязательно

Webhook URL that receives a POST request with the result when the task completes.

Ответ

200 - application/json

OK

code
integer
обязательно

HTTP status code

msg
string
обязательно

Text description of the request result

data
object
обязательно

Object containing specific response data.

exec_time
number
обязательно

Time spent by the server processing this request